PETSc version 3.15.5
Fix/Edit manual page

# PetscIntSortSemiOrdered

Sorts an array of integers in place in increasing order.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscIntSortSemiOrdered(PetscInt n, PetscInt arr[])

Not Collective

### Input Parameters

| n | - number of values
| arr | - array of integers

### Output Parameters

| arr | - sorted array of integers

### Notes

If the array is less than 64 entries long PetscSortInt() is automatically used.

This function serves as an alternative to PetscSortInt(). While this function works for any array of integers it is significantly faster if the array is not totally random. There are exceptions to this and so it is __highly__ recomended that the user benchmark their code to see which routine is fastest.

### See Also

PetscTimSort(), PetscSortInt(), PetscSortIntWithPermutation()

### Level

intermediate

### Location

src/sys/utils/sortso.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages